ghc-9.6.3: The GHC API

Copyright | (c) The University of Glasgow 2001
License | BSD-style (see the file LICENSE)
Maintainer | Jeffrey Young <jeffrey.young@iohk.io> Luite Stegeman <luite.stegeman@iohk.io> Sylvain Henry <sylvain.henry@iohk.io> Josh Meredith <josh.meredith@iohk.io>
Stability | experimental
Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.StgToJS.Deps

Description

Module to calculate the transitive dependencies of a module

Synopsis

- genDependencyData :: HasDebugCallStack => Module -> [LinkableUnit] -> G Deps

# Documentation

genDependencyData :: HasDebugCallStack => Module -> [LinkableUnit] -> G Deps Source #

Generate module dependency data

Generate the object's dependency data, taking care that package and module names are only stored once